### Method

# Hitaki EfwProtocol receive_response

#### Declaration [src]

    void
    hitaki_efw_protocol_receive_response (
      HitakiEfwProtocol* self,
      const guint8* buffer,
      gsize length
    )

#### Description [src]

Parse the given buffer for response frame of Fireworks transaction. The buffer should includes one response frames at least. It results in `HitakiEfwProtocol::responded` per response frame. It’s expected that the function is used by any implementation of `HitakiEfwProtocol`.

#### Parameters

`buffer`

  Type: An array of `guint8`

  The buffer for transaction frames.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  The length of buffer.